using System;

internal sealed class Delegate816 : MulticastDelegate
{
	public extern object Invoke(Type type_0, int int_0);

	public static object smethod_0(Type type_0, int int_0, Delegate816 delegate816_1)
	{
		return delegate816_1(type_0, int_0);
	}

	public extern Delegate816(object object_0, IntPtr intptr_0);

	static Delegate816()
	{
		Class10.smethod_13(typeof(Delegate816).TypeHandle);
	}

	internal static Delegate816 delegate816_0;
}
